| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Resource::Listener Class Reference

`#include <OgreResource.h>`

Inheritance diagram for Ogre::Resource::Listener:
[legend]

## Public Member Functions
virtual | ~Listener ()
virtual void | loadingComplete (Resource *)
| Called whenever the resource finishes loading. More...
virtual void | preparingComplete (Resource *)
| Called whenever the resource finishes preparing (paging into memory). More...
virtual void | unloadingComplete (Resource *)
| Called whenever the resource has been unloaded. More...

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Ogre::Resource::Listener::~Listener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ loadingComplete()

virtual void Ogre::Resource::Listener::loadingComplete | ( | Resource * |  | ) |
| inline virtual

Called whenever the resource finishes loading.

Remarks
  If a Resource has been marked as background loaded (

See also
  Resource::setBackgroundLoaded), the call does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Reimplemented in Ogre::Entity, and Ogre::GpuProgramUsage.

## ◆ preparingComplete()

virtual void Ogre::Resource::Listener::preparingComplete | ( | Resource * |  | ) |
| inline virtual

Called whenever the resource finishes preparing (paging into memory).

Remarks
  If a Resource has been marked as background loaded (

See also
  Resource::setBackgroundLoaded) the call does not itself occur in the thread which is doing the preparing; when preparing is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

## ◆ unloadingComplete()

virtual void Ogre::Resource::Listener::unloadingComplete | ( | Resource * |  | ) |
| inline virtual

Called whenever the resource has been unloaded.

Reimplemented in Ogre::GpuProgramUsage.

The documentation for this class was generated from the following file:

- OgreResource.h